# DocFromTemplate

Class inherited from the [Doc ](/espanol/facilitadores/sdks/java-sdk/used-classes/body/doc.md)class.

### Properties:

<table><thead><tr><th width="270.3333333333333">name</th><th align="center">type</th><th>description</th></tr></thead><tbody><tr><td>signer_name</td><td align="center">string</td><td>Signer name</td></tr><tr><td>template_id</td><td align="center">string</td><td>Template Id</td></tr><tr><td>data</td><td align="center"><a href="/pages/IhAqipkx7h0MjuWmowJp">DeParaTemplate</a>[]</td><td>class list of variables</td></tr><tr><td>send_automatic_email</td><td align="center">boolean</td><td>If true, ZapSign will send an email to the signer with the link to sign the document. If false (default), you will be responsible for sharing the subscription link with the signatory, whether through your website, widget, WhatsApp, SMS, email, chat etc. Note: For this to work, it is mandatory that the signer's email address is defined.</td></tr><tr><td>send_automatic_whatsapp</td><td align="center">boolean</td><td>If true, ZapSign will send a whatsapp to the signer with the link to sign the document. If false (default), you will be responsible for sharing the subscription link with the signatory, whether through your website, widget, WhatsApp, SMS, email, chat etc. Note: For this to work, it is mandatory that the signer's cell phone is defined.</td></tr><tr><td>custom_message </td><td align="center">string</td><td>The custom_message is the personalized message that you can insert in the email sent by ZapSign to the signer. Example: "Hello So-and-so, \n This is your employment contract. \n Hugs, Team XPTO". The \n symbol serves to "skip a line" in the email text. Default: ""</td></tr><tr><td>signer_has_incomplete_fields </td><td align="center">boolean</td><td>If set to <em>true</em>, the signer will be redirected to fill out the template form before signing the document. Default: false</td></tr></tbody></table>

### Override:

DocFromTemplate don't receive signers, so it's impossible to call methos like:&#x20;

* getSigners
* setSigners


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/espanol/facilitadores/sdks/typescript-sdk/used-classes/body/docfromtemplate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
